<?php

function getAgents($USER,$PASS,$HOST,$PORT)
{
	try{
		$client = new soapclient("https://$HOST:$PORT/Agent?wsdl",
			array('login'=>"$USER", 
			'password'=>"$PASS",
			'trace'=>1)
		);

		$response=$client->getAgents();
		return($response);		
	} 
	catch (SoapFault $exception)
	{
		echo $exception;
		exit(1);
	}		
}

function getUsers($USER,$PASS,$HOST,$PORT)
{
	try{
		$client = new soapclient("https://$HOST:$PORT/User?wsdl",
			array('login'=>"$USER", 
			'password'=>"$PASS",
			'trace'=>1
			 )
		);

		$response=$client->getUsers();
		return($response);
	} 
	catch (SoapFault $exception)
	{
		echo $exception;
		exit(1);
	}
}

function getDiskSafes($USER,$PASS,$HOST,$PORT)
{
	try{
		$client = new soapclient("https://$HOST:$PORT/DiskSafe?wsdl",
			array('login'=>"$USER", 
			'password'=>"$PASS",
			'trace'=>1
			 )
		);

		$response=$client->getDiskSafes();
		return($response);
	} 
	catch (SoapFault $exception)
	{
		echo $exception;
		exit(1);
	}
}

function getVolumes($USER,$PASS,$HOST,$PORT)
{
	try{
		$client = new soapclient("https://$HOST:$PORT/Volume?wsdl",
			array('login'=>"$USER", 
			'password'=>"$PASS",
			'trace'=>1
			 )
		);

		$response=$client->getVolumes();
		return($response);
	} 
	catch (SoapFault $exception)
	{
		echo $exception;
		exit(1);
	}
	
}

function getGroups($USER,$PASS,$HOST,$PORT)
{
	try{
		$client = new soapclient("https://$HOST:$PORT/Group?wsdl",
			array('login'=>"$USER", 
			'password'=>"$PASS",
			'trace'=>1
			 )
		);

		$response=$client->getGroups();
		return($response);
	} 
	catch (SoapFault $exception)
	{
		echo $exception;
		exit(1);
	}
}

function getPolicies($USER,$PASS,$HOST,$PORT)
{
	try{
		$client = new soapclient("https://$HOST:$PORT/Policy?wsdl",
			array('login'=>"$USER", 
			'password'=>"$PASS",
			'trace'=>1
			 )
		);

		$response=$client->getPolicies();
		return($response);
	} 
	catch (SoapFault $exception)
	{
		echo $exception;
		exit(1);
	}
}

function getRecoveryPoints($USER,$PASS,$HOST,$PORT,$DISKSAFEID,$INCLUDEMERGED)
{
	try{

		$diskSafeObj = getDiskSafes($USER,$PASS,$HOST,$PORT);

		foreach($diskSafeObj->return as $tmp)
		{
			if($tmp->id == $DISKSAFEID)
			{
				$diskSafe = $tmp;
				break;
			}
		}


		$client = new soapclient("https://$HOST:$PORT/RecoveryPoints?wsdl",
			array('login'=>"$USER", 
			'password'=>"$PASS",
			'trace'=>1
			 )
		);

		$response = $client->getRecoveryPoints(array('diskSafe'=>$diskSafe, 'includeMerged'=>$INCLUDEMERGED)) ;
		return($response);
	
	} 
	catch (SoapFault $exception)
	{
		echo $exception;
		exit(1);
	}

}

function getRecoveryPointByID($USER,$PASS,$HOST,$PORT,$DISKSAFEID,$RECOVERYPOINTID)
{
	try{

		$diskSafeObj = getDiskSafes($USER,$PASS,$HOST,$PORT);

		foreach($diskSafeObj->return as $tmp)
		{
			if($tmp->id == $DISKSAFEID)
			{
				$diskSafe = $tmp;
				break;
			}
		}

		$client = new soapclient("https://$HOST:$PORT/RecoveryPoints?wsdl",
			array('login'=>"$USER", 
			'password'=>"$PASS",
			'trace'=>1
			 )
		);

		$response = $client->getRecoveryPointByID(array('diskSafe'=>$diskSafe, 'recoveryPointID'=>$RECOVERYPOINTID)) ;
		return($response);
	} 
	catch (SoapFault $exception)
	{
		echo $exception;
		exit(1);
	}


}

function getRecoveryPointIDs($USER,$PASS,$HOST,$PORT,$DISKSAFEID,$INCLUDEMERGED)
{
	$diskSafeObj = getDiskSafes($USER,$PASS,$HOST,$PORT);

	foreach($diskSafeObj->return as $tmp)
	{
		if($tmp->id == $DISKSAFEID)
		{
			$diskSafe = $tmp;
		}
	}

	try{
		$client = new soapclient("https://$HOST:$PORT/RecoveryPoints?wsdl",
			array('login'=>"$USER", 
			'password'=>"$PASS",
			'trace'=>1
			 )
		);

		$response = $client->getRecoveryPointIDs(array('diskSafe'=>$diskSafe, 'includeMerged'=>$INCLUDEMERGED)) ;
		return($response);
	} 
	catch (SoapFault $exception)
	{
		echo $exception;
		exit(1);
	}
}

?>


